# Class FieldRepeat

FieldRepeat Class

#### Implements

- AbstractFieldRepeat

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:19

##### Index

### Constructors

constructor

### Properties

defaultNone
fancyMenuEditor
fields
isRepeat
label
layout?
metadata?
name
showIf?
type

### Accessors

attributes
form_name
required

### Methods

generate
validate
validate_from_ix

## Constructors

### constructor

- new FieldRepeat(o: FieldRepeatCfg): FieldRepeat

  FieldRepeat constructor

  #### Parameters

  - o: FieldRepeatCfg

  #### Returns FieldRepeat

  - Defined in packages/saltcorn-data/models/fieldrepeat.ts:35

## Properties

### defaultNone

defaultNone: boolean

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:29

### fancyMenuEditor

fancyMenuEditor: boolean

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:27

### fields

fields: (Field | FieldRepeat)[]

Implementation of AbstractFieldRepeat.fields

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:23

### isRepeat

isRepeat: boolean = true

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:25

### label

label: string

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:20

### `Optional` layout

layout?: Layout

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:24

### `Optional` metadata

metadata?: any

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:28

### name

name: string

Implementation of AbstractFieldRepeat.name

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:21

### `Optional` showIf

showIf?: any

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:26

### type

type: string

- Defined in packages/saltcorn-data/models/fieldrepeat.ts:22

## Accessors

### attributes

- get attributes(): {}

  #### Returns {}

  - Defined in packages/saltcorn-data/models/fieldrepeat.ts:56

### form_name

- get form_name(): string

  #### Returns string

  - Defined in packages/saltcorn-data/models/fieldrepeat.ts:133

### required

- get required(): boolean

  #### Returns boolean

  - Defined in packages/saltcorn-data/models/fieldrepeat.ts:53

## Methods

### generate

- generate(): Promise<void>

  #### Returns Promise<void>

  - Defined in packages/saltcorn-data/models/fieldrepeat.ts:62

### validate

- validate(whole_rec: any): { errors: any } | { success: any }

  #### Parameters

  - whole_rec: any

  #### Returns { errors: any } | { success: any }

  - Defined in packages/saltcorn-data/models/fieldrepeat.ts:78

### validate_from_ix

- validate_from_ix(whole_rec: any, ix: number, nameAdd?: string): SuccessMessage

  #### Parameters

  - whole_rec: any
  - ix: number
  - nameAdd: string = ""

  #### Returns SuccessMessage

  - Defined in packages/saltcorn-data/models/fieldrepeat.ts:87